Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.jeri.ssl
Class SslTrustVerifier

    java.lang.Object
      net.jini.jeri.ssl.SslTrustVerifier

All Implemented Interfaces:
  TrustVerifier

public final class SslTrustVerifier
extends Object
implements TrustVerifier

Trust verifier for the `SslEndpoint`, `HttpsEndpoint`, and `ConfidentialityStrength` classes. Also trusts principals of type `X500Principal`. This class is intended to be specified in a resource to configure the operation of `Security.verifyObjectTrust`.

Since:
  2.0
See Also:
  `SslEndpoint`, `HttpsEndpoint`, `ConfidentialityStrength`

Nested Class Summary

Nested classes inherited from class net.jini.security.TrustVerifier
`TrustVerifier.Context`

Constructor Summary
`SslTrustVerifier()` Creates an instance of this class.

Method Summary
`boolean` | `isTrustedObject(Object obj, TrustVerifier.Context ctx)` Returns `true` if the object is an instance of `SslEndpoint` or `HttpsEndpoint`, and it's `SocketFactory` is either `null` or trusted by the specified `TrustVerifier.Context`; or if the object is an instance of `ConfidentialityStrength` or `X500Principal`; and returns `false` otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SslTrustVerifier

    public SslTrustVerifier()

  Creates an instance of this class.

Method Detail

### isTrustedObject

    public boolean isTrustedObject(Object obj,
                                   TrustVerifier.Context ctx)
                            throws RemoteException

  Returns `true` if the object is an instance of `SslEndpoint` or `HttpsEndpoint`, and it's `SocketFactory` is either `null` or trusted by the specified `TrustVerifier.Context`; or if the object is an instance of `ConfidentialityStrength` or `X500Principal`; and returns `false` otherwise.

  Specified by:
    `isTrustedObject` in interface `TrustVerifier`
  Parameters:
    `obj` - the object in which to verify trust
    `ctx` - the trust verifier context, to aid in verification of the specified object and its components
  Returns:
    `true` if the specified object is known to be trusted to correctly implement its contract; `false` otherwise
  Throws:
    `RemoteException` - if a communication-related exception occurs when verifying a socket factory
    `SecurityException` - if a security exception occurs when verifying a socket factory
    `NullPointerException` - if any argument is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved